<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Portfolio Architecture Workshops</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/serif.css" id="theme">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/zenburn.css" id="highlight-theme">
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<span class="menu-title" style="display: none">Portfolio Architecture tooling workshop</span>
					<div style="width: 1056px; height: 250px">
						<h3>Workshops for creating impactful</h3>
						<h3>architectural diagrams</h3>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Navigation tips - Table of contents</h2>
					</div>
					<div style="width: 1056px; height: 300px; font-size: xx-large; text-align: left">
						Each lab provided by this workshop has a table of contents. Using this table of contents
						and general navigation provided for your ease of use.<br />
						<br />
						Keyboard:<br />
							<ul>
								<li>'m' key = open / close table of contents</li>
								<li>arrow keys = move forward / back through slides</li>
							</ul>
						<br /><br />
						Mouse click on:<br />
							<ul>
								<li>bottom left icon = open table of contents</li>
								<li>bottom right arrow icons = move forward / back through slides</li>
							</ul>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h2 class="r-fit-text">Beginners guide - Introduction</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						This workshop will teach you how to use, design, and create architectural diagrams based on the
						draw.io tooling and Red Hat Portfolio Architecture design elements. You'll leverage existing
						portfolio architecture diagrams as starting points.
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 1 - Explore diagramming tool</h2>
					</div>
					<div style="width: 1056px; height: 250px; text-align: left">
						Lab Goals: This lab introduces you to the diagramming tool, it's location and getting you stared
						with your first diagram.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab01.html" target="_blank">Let's get started with lab 1</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 2 - Asset library and color palette</h2>
					</div>
					<div style="width: 1056px; height: 250px; text-align: left">
						Lab Goals: This lab walks through the Red Hat asset library and color palette. These are
						provided by default and are what you'll use to design future architectural diagrams.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab02.html" target="_blank">Let's get started with lab 2</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 3 - Creating high level logical diagram</h2>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Lab Goals: This lab teaches how to create a high level diagram known as a logical diagram.
						You'll design and use elements of the Red Hat Template in the diagram tool to create your
						first logical diagram for a simple web application.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab03.html" target="_blank">Get started with lab 3</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 4 - Exporting and importing diagrams</h2>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Lab Goals: This lab teaches you how to export individual components from a diagram and
						also how to export an entire	diagram in a single image. You'll be able to import these
						images into almost any document or project, such as slide decks, documents, blog posts, etc.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab04.html" target="_blank">Get started with lab 4</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 5 - Creating schematic diagram</h2>
					</div>
					<div style="width: 1056px; height: 350px; text-align: left">
						Lab Goals: This lab teaches how to connect the various elements of the logical diagram created in
						the previous lab into a format known as a schematic diagram. You'll design and use
						elements of the Red Hat Template in the diagram tool to create your first schematic
						diagram, showing the relationships, networking and data connections.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab05.html" target="_blank">Get started with lab 5</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 6 - Creating detailed diagram</h2>
					</div>
					<div style="width: 1056px; height: 200px; text-align: left">
						Lab Goals: Designing a detailed diagram of business application service using the tooling.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab06.html" target="_blank">Get started with lab 6</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Lab 7 - Using examples and other tips</h2>
					</div>
					<div style="width: 1056px; height: 200px; text-align: left">
						Lab Goals: Learn about the examples repository, how to import them, and other tips for
						designing your architecture diagrams.
					</div>
					<div style="width: 1056px; height: 70px;">
						<a href="lab07.html" target="_blank">Get started with lab 7</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2>The End</h2>
					</div>
					<div style="width: 1056px; height: 150px">
						This completes the workshop, thanks for your time and feedback is welcome!
					</div>
					<div style="width: 1056px; height: 200px; font-size: large; text-align: left">
						Ishu Verma<br/>
						Technical Marketing Manager Emerging Technologies<br/>
						Contact: <a href="https://twitter.com/IoT_Ishu" target="_blank">@IoT_Ishu</a>
						<br/><br/>
						Eric D. Schabell<br/>
						Portfolio Architect Director<br/>
						Contact: <a href="http://twitter.com/ericschabell" target="_blank">@ericschabell</a>
						or <a href="http://www.schabell.org" target="_blank">http://schabell.org</a>
						<br/><br/>
						William Henry<br/>
						Senior Distinguished Engineer<br>
						Contact: <a href="http://twitter.com/ipbabble" target="_blank">@ipbabble</a><br/>
					</div>
				</section>
			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script src="plugin/reveal.js-menu/menu.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMenu ],

				// Configure menu options.
				menu: {

					// Specifies which side of the presentation the menu will
					// be shown. Use 'left' or 'right'.
    				side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: '30%',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: false,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					//
					// My custom menu with lab chapters
					// custom: [
					// 	{
					// 		title: 'Lab 1 - Installation',
					// 		icon: '<i class="fa fa-external-link">',
					// 		src: 'lab01.html'
					// 	},
					// 	{
					// 		title: 'Lab 2 - Create new project',
					// 		icon: '<i class="fa fa-info">',
					// 		src: 'lab02.html'
					// 	}
					// ]
					custom: false,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own
					// list of themes or 'themes' is set to 'false' the
					// 'themesPath' option is ignored.
					themesPath: 'dist/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: false,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must
					// be displayed for this to take effect
					openSlideNumber: false,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true,

				}
			});
		</script>
	</body>
</html>
